{ overlays ? [ ] }:
let
  nixpkgs = builtins.fetchTarball {
    url =
      "https://github.com/ehmry/nixpkgs/archive/f8d0c5ee347a73ee7fa52b1f66f576fda793dfc4.tar.gz";
  };
in import nixpkgs {
  overlays = [
    (final: prev: {
      ccacheWrapper = prev.ccacheWrapper.override {
        extraConfig = ''
          export CCACHE_DIR="/var/cache/ccache"
          export CCACHE_UMASK=000
        '';
      };
      nimPackages = prev.nimPackages.overrideScope' (final': prev': {
        buildNimPackage =
          prev'.buildNimPackage.override { stdenv = final.ccacheStdenv; };
      });
    })
  ] ++ overlays;
}
